FcFreeTypeCharSetAndSpacing(3)

NAME
FcFreeTypeCharSetAndSpacing - compute Unicode coverage and spacing type

SYNOPSIS
#include <fontconfig.h>
#include <fcfreetype.h>

FcCharSet * FcFreeTypeCharSetAndSpacing (FT_Face face, FcBlanks *blanks, int *spacing);

DESCRIPTION

Scans a FreeType face and returns the set of encoded Unicode chars. FcBlanks is deprecated, blanks is ignored and accepted only for compatibility with older code. spacing receives the computed spacing type of the font, one of FC_MONO for a font where all glyphs have the same width, FC_DUAL, where the font has glyphs in precisely two widths, one twice as wide as the other, or FC_PROPORTIONAL where the font has glyphs of many widths.